Bug 300241 - Missing dependencies.
Missing dependencies.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 08:45 EDT by David Woodhouse
Modified: 2009-01-09 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:16:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-09-21 08:45:59 EDT
I wanted to help test NetworkManager but for unrelated reasons anaconda is
failing to upgrade right now. I want to test that later, so I decided to update
_just_ NetworkManager from rawhide.

Yum chose to update also kdenetwork, rhpl, wireless-tools and xsupplicant.
It seems like it should have updated more though:

# NetworkManager --no-daemon
NetworkManager: <info>  starting...
NetworkManager: symbol lookup error: NetworkManager: undefined symbol:
g_once_init_enter_impl


$ nm-applet 
nm-applet: symbol lookup error: nm-applet: undefined symbol:
gtk_status_icon_get_screen
Comment 1 Matthias Clasen 2007-09-21 22:39:19 EDT
You need glib 2.14 and gtk 2.12
Comment 2 David Woodhouse 2007-09-21 22:44:26 EDT
Don't tell me; tell NetworkManager.spec :)

Alternatively, refile or clone this bug against those packages, for not using
versioned symbols so that the dependencies are calculated automatically? 

I believe I had to update libdbus too.
Comment 3 Dan Williams 2007-12-03 12:27:37 EST
Yeah, need to fix up the requires...
Comment 4 Bug Zapper 2008-04-04 09:53:24 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Dan Williams 2008-11-24 18:47:39 EST
Since this depends on the build environment (since NM works fine in RHEL too with gtk+-2.10), how exactly would NM go about building itself with versioned symbols so this doesn't work?  NM isn't doing anything special (just uses autotools), so whatever is in the buildroots is going to get linked into NM and/or the applet...
Comment 6 David Woodhouse 2008-11-24 18:57:58 EST
Hm, I'm not sure. I think the answer has something to do with versioned symbols.

You'll note that sometimes you end up with a package that requires libc.so.6(GLIBC2.4) or something like that?

I think that gtk and glib should be doing similar versioning so that when you build against the newer versions, you end up with appropriate dependencies like that.

You're right that it's probably not a NetworkManager problem per se.
Comment 7 Bug Zapper 2008-11-26 02:50:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:16:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.